Token Stats

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

SPL Token stats contains descriptive statistics on SPL tokens and metadata such as decimals and symbol looking back over various granularities such as

  • active users
  • new users
  • deposits / withdrawals
  • sellers
  • buyers
  • volume
  • volumeChange
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get weekly stats for USDC

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/token/stats";

async function getWeeklyStats() {
    const { data } = await axios.post(
        url,
        {
			"mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
			"granularity": "ONE_WEEK"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

string

Mint address per the SPL token program.
> You can also visit https://www.hellomoon.io/id?search=token to search for mints using a user interface.

Choose an array of granularities (time periods) | Choose a string of granularities (time periods)
number | null

The number of new users over the given granularity if available
optional field

number | null

The number of active users over the given granularity if available
optional field

number | null

The volume of a candlestick is the total number of coins or tokens traded during the period.
It is usually represented by the size of the candlestick body, with larger bodies indicating higher volumes.
Volume is an important indicator of market activity and can be used to confirm price movements and identify potential reversal points.
optional field

number | null

The amount the token price has changed over the given granularity
optional field

number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json